body {
    background-color: #222;
    color: #ffffff;
    display: flex;
    flex-direction: column;
    justify-content: flex-start; /* Выравниваем содержимое по верху */
    align-items: center;
    min-height: 100vh;
    padding: 20px;
}

h1 {
    text-align: left;
    margin-bottom: 10px;
    font-family: sans-serif;
}

input {
    background-color: #fff;
    color: #000000;
    border: none;
    border-radius: 4px;
    margin-bottom: 20px;
    padding: 15px 468px;
    text-align: left;
    padding-left: 20px;
    box-sizing: border-box;
    display: block;
    font-size: 1em;
}

button {
    background-color: #222;
    color: rgb(253, 159, 198);
    border: 1px solid rgb(253, 159, 198);
    border-radius: 5px;
    padding: 15px 305px;
    font-family: sans-serif;
    margin-bottom: 5px;
    transition: background-color 0.3s ease;
    font-size: 1em;
}

button:hover {
    background-color: #444;
    color: rgb(255, 255, 255);
}

ul {
    background-color: #fff;
    color: #545353;
    border-radius: 5px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin-top: 20px;

}

.list-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
}

.btn-success,
.btn-danger {
    cursor: pointer;
    margin-left: 5px;
    padding: 10px 13px;
    border-radius: 5px;
    transition: background-color 0.5s ease;
}

.btn-success {
    background-color: rgb(72, 181, 195);
    color: white;
}

.btn-danger {
    background-color: rgb(242, 132, 152);
    color: white;
}

.btn-success:hover {
    background-color: rgb(172, 230, 243);
    color: rgb(3, 55, 49);
}

.btn-danger:hover {
    background-color: rgb(252, 198, 198);
    color: rgb(62, 3, 3);
}

.text-decoration-line-through {
    text-decoration: line-through;
}

.list-item[data-completed="true"] .btn-success { /* Когда заметка зачеркнута */
    background-color: rgb(253, 142, 58);
    color: rgb(255, 255, 255); /* Меняем цвет галочки */

}